Package org.apache.sling.scripting.sightly.impl.compiler.util

## Class SymbolGenerator

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.util.SymbolGenerator

    public class SymbolGenerator
    extends Object

### Field Summary

Fields
`static String` `DEFAULT_VAR_PREFIX`

### Constructor Summary

Constructors
`SymbolGenerator()`
`SymbolGenerator​(String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `global​(String hint)`
`String` `next()`
`String` `next​(String hint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_VAR_PREFIX

    public static final String DEFAULT_VAR_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### SymbolGenerator

    public SymbolGenerator()

#### SymbolGenerator

    public SymbolGenerator​(String prefix)

### Method Detail

#### next

    public String next​(String hint)

#### global

    public String global​(String hint)

#### next

    public String next()